### Prerequisites
```
$ yum install -y git cmake3 boost-devel librdkafka-devel openssl-devel redis hiredis-devel json-devel devtoolset-12 yaml-cpp-devel mysql-community-server mysql-connector-c++-devel
$ echo 'export BIAS_PREFIX=$HOME/BIAS' >> ~/.bashrc
$ echo 'export PATH="/opt/rh/devtoolset-12/root/usr/bin:$PATH"' >> ~/.bashrc
	or use $scl enable devtoolset-12 'bash'
$ source $HOME/.bashrc
```
### Clone and download submodules
```
$ git clone https://www.ict.inaf.it/gitlab/bias/daqs/astri-daq.git
$ cd astri-daq
$ git submodule update --recursive --init
```
### Prepare BIAS db
```
Execute 'createBiasDB.sql' script
$ mysql -u root -p
	source ./createBiasDB.sql;

```
### INSTALL
```
$ mkdir build
$ cd build
$ cmake3 -DCMAKE_INSTALL_PREFIX=$BIAS_PREFIX ..
$ make all
$ make install
```

### RUN THE RECEIVER
```
$ cd $BIAS_PREFIX/bin
$ ./AstriDAQ.lnx
```
